al_set_memory_interface(3)

NAME

al_set_memory_interface - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    void al_set_memory_interface(ALLEGRO_MEMORY_INTERFACE *memory_interface)

DESCRIPTION

Override the memory management functions with implementations of al_malloc_with_context(3), al_free_with_context(3), al_realloc_with_context(3) and al_calloc_with_context(3). The context arguments may be used for debugging. The new functions should be thread safe.

If the pointer is NULL, the default behaviour will be restored.

SEE ALSO

ALLEGRO_MEMORY_INTERFACE(3)